//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	BSkillList.h
 *  \brief  Zoznam naplanovanych zakladnych schopnosti
 *  \author Rado Otipka
 *  \date 2. 12. 2001 15:23:28
 *  \version 2.52.1
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _BSKILL_LIST_
#define _BSKILL_LIST_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBasicSkillList 
{
private:
	TBasicSkillVector m_cSkills;

public:
	CBasicSkillList(); 
	~CBasicSkillList();

	bool IsEmpty()
	{ 
		return m_cSkills.empty();
	}
	
	KPDL_RESULT AddSkill(CBasicSkill &cSkill)
	{ 
		cSkill.m_pListSkill = this;
		m_cSkills.push_back(&cSkill); 
		return KPDL_SUCCESS;
	}

	KPDL_RESULT GetFirst(CBasicSkill **cSkill);


	KPDL_RESULT Empty();
	virtual KPDL_RESULT EvaluateAndRemove();
//	KPDL_RESULT RemoveSkill();

};

#endif // _BSKILL_LIST_
