//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	Catch.h
 *  \brief  Zakladna schopnost chytania lopty - pre brankara
 *  \author Rado Otipka
 *  \date 2. 12. 2001 15:23:28
 *  \version 2.52.1
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _CATCH_
#define _CATCH_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CCatch: public CBasicSkill
{
	DECLARE_SKILL_MAP

public:
	CCatch(
		TSkillParameterVector &cParameters, 
		const int iPriority,
		CWorldModel &cWorld,
		CGameCommandSeq &cActions
	);

	CCatch(
		const int iCatchType,
		const int iPriority,
		CWorldModel &cWorld,
		CGameCommandSeq &cActions
	);

private:
	KPDL_RESULT Catch();
};

#endif // _CATCH_
