//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	SkillParameter.h
 *  \brief  Deklaracia triedy pre parameter zakladnej schopnosti
 *  \author Rado Otipka
 *  \date 2. 12. 2001 15:23:28
 *  \version 2.52.1
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _SKILL_PARAMETER_
#define _SKILL_PARAMETER_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSkillParameter 
{
public:
	string sName;
	string sValue;

public:
	CSkillParameter(){}
	CSkillParameter(const string sName, const string sValue)
	:	sName(sName),
		sValue(sValue)
	{
	}

	virtual ~CSkillParameter(){}
};

typedef vector<CSkillParameter> TSkillParameterVector;
typedef vector<CSkillParameter>::iterator TSkillParameterVectorIterator;

#endif // _SKILL_PARAMETER_
