//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	GameCommandSeq.h
 *  \brief Deklaracia triedy sekvencii prikazov pre server
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _GAME_COMMAND_SEQ_
#define _GAME_COMMAND_SEQ_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CGameCommandSeq
{
private:
	TGameCommandQueue cGameCommandQueue;	// rad prikazov

public:
	~CGameCommandSeq();

	KPDL_RESULT AddGameCommand(CGameCommand *pGameCommand);
	KPDL_RESULT GetGameCommand(CGameCommand **ppGameCommand);
	int GetGameCommandsCount();
	KPDL_RESULT Clear();
};

#endif // _GAME_COMMAND_SEQ_
