//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	HearMsg.h
 *  \brief Deklaracia triedy vnemov typu "hear"
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _HEAR_MSG_
#define _HEAR_MSG_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CHearMsg : public CPerception
{
public:
	EHearMsgType eHearMsg;		// typ pocutej spravy (povodca spravy)  
	EPlayModeType ePlayMode;	// hraci mod
	string sMessage;			// sprava
	double dDirection;			// smer odkial sprava prisla

public:
	CHearMsg();
	CHearMsg(const CHearMsg &cSource);

	KPDL_RESULT Parse(
		CTranslator &cTranslator, 
		CParseString &cString
	);

	const CHearMsg &operator =(const CHearMsg &cSource);
};

#endif // _HEAR_MSG_
