//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	Perception.cpp
 *  \brief Implementacia zakladnej triedy vnemov
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#include "stdafx.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
	
//******************************************************
/*! \fn	CPerception::CPerception(const EMsgType eType)
 *  \brief Konstruktor triedy
 *  \param const EMsgType eType
 *  \return
 *  \author KPDL
 *  \date
 *  \bug 
 */
//******************************************************
// Historia zmien:
//******************************************************
/*
 */
//******************************************************
CPerception::CPerception(const EMsgType eType /* = M_None */)
:	eMsgType(eType),
	iReceivedTime(INVALID_TIME),
	iPlayTime(INVALID_TIME)
{
}

//******************************************************
/*! \fn	CPerception::CPerception(const CPerception &cSource)
 *  \brief Kopirovaci konstruktor triedy
 *  \param const CPerception &cSource
 *  \return
 *  \author KPDL
 *  \date
 *  \bug 
 */
//******************************************************
// Historia zmien:
//******************************************************
/*
 */
//******************************************************
CPerception::CPerception(const CPerception &cSource)
:	eMsgType(cSource.eMsgType),
	iReceivedTime(cSource.iReceivedTime),
	iPlayTime(cSource.iPlayTime)
{
}

//******************************************************
/*! \fn	const CPerception &CPerception::operator = (const CPerception &cSource)
 *  \brief Operator priradenia
 *  \param const CPerception &cSource
 *  \return Referenciu na aktualny objekt
 *  \author KPDL
 *  \date
 *  \bug 
 */
//******************************************************
// Historia zmien:
//******************************************************
/*
 */
//******************************************************
const CPerception &CPerception::operator = (const CPerception &cSource)
{
	eMsgType = cSource.eMsgType;
	iReceivedTime = cSource.iReceivedTime;
	iPlayTime = cSource.iPlayTime;

	return *this;
}