//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	SeeMsg.h
 *  \brief Deklaracia triedy vnemov typu "see"
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _SEE_MSG_
#define _SEE_MSG_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSeeMsg : public CPerception  
{
public:
	TSeenPlayerVector cPlayers;		// hraci
	TSeenFlagVector	cFlags;			// zastavky
	TSeenLineVector	cLines;			// ciary
	TSeenGoalVector	cGoals;			// branky
	CSeenObject	cBall;				// lopta

public:
	CSeeMsg();
	CSeeMsg(const CSeeMsg &cSource);
	~CSeeMsg();

	KPDL_RESULT Parse(
		CTranslator &cTranslator, 
		CParseString &cString
	);

	const CSeeMsg &operator = (const CSeeMsg &cSeeMsg);
};

#endif // _SEE_MSG_
