//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	SenseBody.h
 *  \brief Deklaracia triedy vnemov typu "sense body"
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _SENSE_BODY_
#define _SENSE_BODY_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSenseBody : public CPerception
{
public:
	EViewQualityType eViewQuality;
    double dViewWidth;
    double dStamina;
    double dEffort;
    double dSpeed;
	double dSpeedDirection;
    double dHeadDirection;	
    int iKickCount;
    int iDashCount;
    int iTurnCount;
    int iSayCount;
    int iHeadTurnCount;
	int iCatchCount;        // Protokol verzia 7.0
	int iMoveCount;         //
	int iChangeViewCount;   //

public:
    CSenseBody();
    CSenseBody(const CSenseBody &cSource);

	KPDL_RESULT Parse(
		CTranslator &cTranslator, 
		CParseString &cString
	);

	const CSenseBody &operator =(const CSenseBody &cSenseBody);
};

#endif // _SENSE_BODY_