#ifndef _DECISIONS_MAIN_
#define _DECISIONS_MAIN_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning (disable:4786)

/////////////////////////////////////////////////////////////////////
// External libraries
#include "eventmain.h"
#include "worldmain.h"
#include "basskilmain.h"
#include "parsermain.h"

/////////////////////////////////////////////////////////////////////
// Platform dependent header files
#define VC_EXTRALEAN
#include <afx.h>
#include <afxwin.h>

/////////////////////////////////////////////////////////////////////
// Standard header files
#include <string>
#include <vector>

using namespace std;

/////////////////////////////////////////////////////////////////////
// Library settings

/////////////////////////////////////////////////////////////////////
// Library header files
#include "formationtypes.h"
#include "teamposition.h"
#include "formation.h"
#include "formationdata.h"
#include "strategicskills.h"
#include "reactiveskills.h"

#include "actevent.h"
#include "decideevent.h"

#include "decisions.h"

/////////////////////////////////////////////////////////////////////
// Global objects

#endif // _DECISIONS_MAIN_