// HigherSkills.h: interface for the CReactiveSkills class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _HIGHER_SKILLS_
#define _HIGHER_SKILLS_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CReactiveSkills : public CQuery
{
private:
	CRuleEngine			m_cRuleEngine;
	CWorldModel&		m_cWorld;
	CGameCommandSeq&	m_cActions;
	CBasicSkillList&	m_cListSkill;
	CStrategicSkills&	m_cStrategicSkills;

public:
	CReactiveSkills(
		CWorldModel &cWorld,
		CGameCommandSeq &cActions,
		CBasicSkillList& cBasicSkillList,
		CStrategicSkills &cStrategicSkills,
		const string &sFileName
	);
	virtual ~CReactiveSkills();

	virtual void Deliberate();

	// CQuery
	string GetAttribute(const string &sName);
	void ClearCache();
};

#endif // _HIGHER_SKILLS_
