//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	EventMain.h
 *  \brief 
 *  \author t0n0 Weissensteiner & Rado Otipka
 *  \date 
 *  \version 1.0
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _EVENT_MAIN_
#define _EVENT_MAIN_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning (disable : 4786)

/////////////////////////////////////////////////////////////////////
// Platform dependent header
#define VC_EXTRALEAN
#include <afx.h>
#include <afxwin.h>

/////////////////////////////////////////////////////////////////////
// Standard header files
#include <vector>
#include <string>
#include <map>
#include <set>

using namespace std;

/////////////////////////////////////////////////////////////////////
// Extern objects

/////////////////////////////////////////////////////////////////////
// Library settings
//#define EVENT_ASYNC_PLAYER
#define WM_EVENT (WM_USER + 1)

enum EEventType
{ 
	E_None,
    E_SrvConnect,
    E_SrvDisconnect,
    E_ReceiveSrvMsg,
    E_SendSrvMsg,
    E_ProcessPerception,
    E_SendCommand,
    E_Decide,
    E_Act,
	E_NewPerception,
	E_NewAgent,
	E_See,
	E_SenseBody,
	E_Init,
	E_Hear
};

/////////////////////////////////////////////////////////////////////
// Library header files
#include "types.h"
#include "event.h"
#include "coordinator.h"
#include "thread.h"
#include "eventthread.h"

/////////////////////////////////////////////////////////////////////
// Global objects

#endif // _EVENT_MAIN_