// LogFrame.h : interface of the CLogFrame class
/////////////////////////////////////////////////////////////////////////////

#ifndef _LOG_FRAME_
#define _LOG_FRAME_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CLogFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CLogFrame)

private:
	// ikona
	HICON m_hIcon;
	// pohlad s logovacimi vypismi
	CLogView m_cLogView;
	
public:
	CLogFrame()
	:	m_hIcon(NULL),
		m_cLogView()
	{
	}

	//{{AFX_VIRTUAL(CLogFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& tCS);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CLogFrame)
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}

#endif // _LOG_FRAME_
