//*****************************************************************************
// Matrix.h: interface of the CMatrix class
//*****************************************************************************

#ifndef _MATRIX_
#define _MATRIX_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMatrix  
{
// Members
public:
	int iHeight;
	int iWidth;

private:
	static CRandom m_cInitVal;
	double *m_pdStorage;

// Methods
public:
	CMatrix(
		const int iHeight, 
		const int iWidth,
		const double dValue = 0.0
	);
	CMatrix(CMatrix &cSource);
	CMatrix(
		const int iHeigth,
		const int iWidth,
		const double dBottom,
		const double dTop
	);
	virtual ~CMatrix();

	double &operator ()(const int iRow, const int iColumn);
	CMatrix &operator =(CMatrix &cSource);

};

#endif // _MATRIX_
