//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	NeuralLog.h
 *  \brief	Deklaracia bazovej triedy pre logovacie vypisy hraca
 *  \author t0n0 Weissensteiner
 *  \date 26.2.2002 22:42:51
 *  \version 1.0
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _NEURAL_LOG_
#define _NEURAL_LOG_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CNeuralLog : public CLog
{
public:
	CNeuralLog(
		const string &sFileName, 
		const ELogMask eMsgMask = LOG_MASK_NEURAL,
		const string &sFileMode = LOG_ACCESS_MODE_W
	);

	KPDL_RESULT WriteVector(
		const bool bTimeStamp,
		const char *sFormat,
		CVector &cVector
	);

	KPDL_RESULT WriteMatrix(
		const bool bTimeStamp,
		const char *sFormat,
		CMatrix &cMatrix
	);
};

#endif // _NEURAL_LOG_
