#ifndef _NEURON_MAIN_
#define _NEURON_MAIN_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////
// External libraries
#include "logmain.h"

/////////////////////////////////////////////////////////////////////
// Platform dependent header files
#define VC_EXTRALEAN
#include <afx.h>
#include <afxwin.h>

/////////////////////////////////////////////////////////////////////
// Standard header files
#include <string>
#include <time.h>
#include <math.h>

using namespace std;

/////////////////////////////////////////////////////////////////////
// Library settings
// obmedzenie velkosti buffra
#define NEURAL_MAX_BUFFER (1024)
// ohranicenie velkosti argumentu funkcie exp
#define NEURAL_EXP_LIMIT  (1000.0)
// kontrola indexov poli (vektory a matice)
#undef NEURAL_CHECK_INDEX

/////////////////////////////////////////////////////////////////////
// Library header files
#include "types.h"
#include "list.h"
#include "random.h"
#include "vector.h"
#include "matrix.h"
#include "symbol.h"
#include "activate.h"
#include "layer.h"
#include "neuron.h"
#include "forward.h"
#include "recurent.h"
#include "neurallog.h"

/////////////////////////////////////////////////////////////////////
// Global objects
extern CNeuralLog *gpNeuralLog;

#endif // _NEURON_MAIN_