// Action.h: interface for the CAction class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _ACTION_
#define _ACTION_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CAction;

typedef	vector<CAction *> TActionVector;
typedef	TActionVector::iterator TActionVectorIterator;

class CAction : public IXMLNode
{
public:
	string sName;
	string sRemoveRule;
	TRuleParameterVector cParamList;

public:
	CAction();
	virtual ~CAction();

	KPDL_RESULT SetXML(IXMLDOMNodePtr &pNode);
};

#endif // _ACTION_
