//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	player.h
 *  \brief Trieda,  ktora tvori vlakno samotneho hraca, 
	a obsahuje v sebe komunikator, 
	model sveta, modul rozhodovania, hracie pole
 *  \author Radoslav Otipka 
 *  \date 7.5.2002 16:14:53
 *  \version 

 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _PLAYER_
#define _PLAYER_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CPlayer : public CThread
{
public:  
	// funkcne moduly hraca
	CCoordinator cCoordinator;
	CStaticField cField;
	CCommunicator *pCommunicator;
	CWorldThread *pWorld;
	CDecisions *pDecisions;

public:
	CPlayer();
	virtual ~CPlayer();

	KPDL_RESULT Init();
	void Exit();
};

#endif // _PLAYER_
