#ifndef _PLAYER_MAIN_
#define _PLAYER_MAIN_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning (disable : 4786 4503)

/////////////////////////////////////////////////////////////////////
// External libraries
#include "logmain.h"
#include "eventmain.h"
#include "communicationmain.h"
#include "parsermain.h"
#include "worldmain.h"
#include "visualizemain.h"
#include "basskilmain.h"
#include "decisionsmain.h"

/////////////////////////////////////////////////////////////////////
// Platform dependent header files
#define VC_EXTRALEAN
// MFC core and standard components
#include <afxwin.h>
// MFC extensions
#include <afxext.h>
// MFC Automation classes
#include <afxdisp.h>
// MFC support for Windows Common Controls
#include <afxcmn.h>
// MFC socket extensions
#include <afxsock.h>

/////////////////////////////////////////////////////////////////////
// Standard header files

/////////////////////////////////////////////////////////////////////
// Library settings
#define PLAYER_VERSION       "ver#2.96"
#define PLAYER_DEFAULT_CONF  "agent.conf"

/////////////////////////////////////////////////////////////////////
// Library header files
#include "types.h"
#include "config.h"
#include "connectevent.h"
#include "player.h"
#include "playerframe.h"
#include "playerapp.h"

/////////////////////////////////////////////////////////////////////
// Global objects

#endif // _PLAYER_MAIN_
