// BasicEvent.cpp: implementation of the CEvent class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// CConnectEvent Class
//////////////////////////////////////////////////////////////////////
/*
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CConnectEvent::CConnectEvent(string sHost, unsigned nPort) :
	CEvent(ET_SRVCONNECT, true), m_sHost(sHost), m_nPort(nPort)
{
}

CConnectEvent::~CConnectEvent()
{
}

//////////////////////////////////////////////////////////////////////
// CSendEvent Class
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CSendEvent::CSendEvent(CServerMsg *pSrvMsg) :
	CEvent(ET_SEND_SRVMSG, true), m_pSrvMsg(pSrvMsg)
{
}

CSendEvent::CSendEvent(string sMessage) :
    CEvent(ET_SEND_SRVMSG, true), m_pSrvMsg(new CServerMsg(sMessage))
{
}

CSendEvent::~CSendEvent()
{
    if (m_pSrvMsg) {
        delete m_pSrvMsg;
        m_pSrvMsg = NULL;
    }
}

//////////////////////////////////////////////////////////////////////
// CReceiveEvent Class
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CProcessPerceptionEvent::CProcessPerceptionEvent(CPerception *pPerception) :
    CEvent(ET_PROCESS_PERCEPTION, true), m_pPerception(pPerception)
{
}

CProcessPerceptionEvent::~CProcessPerceptionEvent()
{
    if (m_pPerception) {
        delete m_pPerception;
        m_pPerception = NULL;
    }
}

//////////////////////////////////////////////////////////////////////
// CSendCommandEvent Class
//////////////////////////////////////////////////////////////////////

CSendCommandEvent::CSendCommandEvent(CGameCommand *pGameCommand) :
    CEvent(ET_SEND_COMMAND, true), m_pGameCommand(pGameCommand)
{
}

CSendCommandEvent::~CSendCommandEvent()
{
    if (m_pGameCommand) {
        delete m_pGameCommand;
        m_pGameCommand = NULL;
    }
}

//////////////////////////////////////////////////////////////////////
// CNewAgentEvent Class
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CNewAgentEvent::CNewAgentEvent(CAgent* pAgent) : CEvent(ET_NEWAGENT, true)
{
	m_pAgent = pAgent;
}

CNewAgentEvent::CNewAgentEvent(const CNewAgentEvent& pNewAgentEvent) : CEvent(pNewAgentEvent)
{
	m_pAgent = new CAgent(*pNewAgentEvent.m_pAgent);
}

CNewAgentEvent::~CNewAgentEvent()
{
	if (m_pAgent)
		delete m_pAgent;
}

//////////////////////////////////////////////////////////////////////
// CNewPerception Class
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CNewPerceptionEvent::CNewPerceptionEvent(CPerception* pPerception) :
	CEvent(ET_NEWPERCEPTION, true)
{
	m_pPerception = pPerception;
}

CNewPerceptionEvent::CNewPerceptionEvent(const CNewPerceptionEvent& pNewPerceptionEvent) :
	CEvent(pNewPerceptionEvent)
{
	m_pPerception = new CPerception(*pNewPerceptionEvent.m_pPerception);
}

CNewPerceptionEvent::~CNewPerceptionEvent()
{
	if (m_pPerception)
		delete m_pPerception;
}
*/