//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	PerceptionSeq.h
 *  \brief Deklaracia triedy sekvencii vnemov
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _PERCEPTION_SEQ_
#define _PERCEPTION_SEQ_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CPerceptionSeq
{
private:
    TPerceptionQueue cPerceptionQueue;	// rad vnemov

public:
    ~CPerceptionSeq();

    KPDL_RESULT AddPerception(CPerception *pPerception);
    KPDL_RESULT GetPerception(CPerception **ppPerception);
    KPDL_RESULT Clear();
};

#endif // _PERCEPTION_SEQ_
