// VisualSetupDlg.h : header file
//

#ifndef _VISUAL_SETUP_DLG_
#define _VISUAL_SETUP_DLG_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CVisualSetupDlg dialog

class CVisualSetupDlg : public CDialog
{
private:
	// Compressed setup information
	EVisSetup &m_eVisSetup;

	//{{AFX_DATA(CVisualSetupDlg)
	enum { IDD = IDD_VISUALSETUP };
	BOOL m_bPercept;
	BOOL m_bBall;
	BOOL m_bTeammate;
	BOOL m_bPlayer;
	BOOL m_bOpponent;
	//}}AFX_DATA

public:
	CVisualSetupDlg(
		EVisSetup &eVisSetup,
		CWnd* pParent = NULL
	);

	//{{AFX_VIRTUAL(CVisualSetupDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CVisualSetupDlg)
	virtual void OnOK();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
#endif // _VISUAL_SETUP_DLG_
