// Worldthread.h: interface for the CWorldThread class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _WORLD_THREAD_
#define _WORLD_THREAD_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CWorldThread : public CEventThread
{
	DECLARE_EVENT_MAP

public:
    CWorldModel cWorld;

public:
    CWorldThread(CCoordinator &cCoordinator, CStaticField &cField);
    virtual ~CWorldThread() {}

	KPDL_RESULT OnSee(CEvent &cEvent);
	KPDL_RESULT OnSenseBody(CEvent &cEvent);
	KPDL_RESULT OnInit(CEvent &cEvent);
	KPDL_RESULT OnHear(CEvent &cEvent);

};

#endif // _WORLD_THREAD_
