//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	ChangeView.h
 *  \brief  Zakladna schopnost zmeny pohladu
 *  \author Rado Otipka
 *  \date 2. 12. 2001 15:23:28
 *  \version 2.52.1
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _CHANGE_VIEW_
#define _CHANGE_VIEW_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CChangeView: public CBasicSkill
{
private:
	DECLARE_SKILL_MAP

public:
	CChangeView(
		TSkillParameterVector &cParameter, 
		const int iPriority,
		CWorldModel &cWorld, 
		CGameCommandSeq &cActions
	);

	CChangeView(
		const int iChangeViewType, 
		const EViewWidthType eWidth,
		const EViewQualityType eQuality, 
		const int ePriority,
		CWorldModel &cWorld, 
		CGameCommandSeq &cActions
	);


private:
	KPDL_RESULT ChangeView();
};

#endif // _CHANGE_VIEW_
