//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	Say.h
 *  \brief  Zakladna schopnost povedat spravu
 *  \author Rado Otipka
 *  \date 2. 12. 2001 15:23:28
 *  \version 2.52.1
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _SAY_
#define _SAY_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSay: public CBasicSkill
{
public:
	CSay(
		TSkillParameterVector &cParameters, 
		const int iPriority,
		CWorldModel &cWorld,
		CGameCommandSeq &cActions
	);
	
	CSay(
		const int iSayType, 
		const string &sMessage,  
		const int iPriority,
		CWorldModel &cWorld,
		CGameCommandSeq &cActions
	);

private:
	KPDL_RESULT Say();

};

#endif // _SAY_
