//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	TurnNeck.h
 *  \brief  Zakladna schopnost otocenia hlavou
 *  \author Rado Otipka
 *  \date 2. 12. 2001 15:23:28
 *  \version 2.52.1
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _TURN_NECK_
#define _TURN_NECK_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CTurnNeck : public CBasicSkill
{
	DECLARE_SKILL_MAP
public:
	CTurnNeck(
		TSkillParameterVector &cParameters, 
		const int iPriority,
		CWorldModel &cWorld,
		CGameCommandSeq &cActions
	);

	CTurnNeck(
		const int iTurnType, 
		const double dMoment, 
		const int iPriority,
		CWorldModel &cWorld, 
		CGameCommandSeq &cActions
	);
	CTurnNeck(
		const int iTurnType, 
		const C2DVector &cPosition, 
		const int iPriority,
		CWorldModel &cWorld, 
		CGameCommandSeq &cActions
	);


private:
    KPDL_RESULT TurnNeck();
    KPDL_RESULT TurnNeckTo();
    KPDL_RESULT TurnNeckToBall();
    KPDL_RESULT TurnNeckStraight();
};

#endif // _TURN_NECK_
