//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	ReceiveEvent.h
 *  \brief 
 *  \author KPDL
 *  \date 17.4.2002 22:13:51
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _RECEIVE_EVENT_
#define _RECEIVE_EVENT_

class CReceiveEvent : public CEvent  
{
public:
    CServerMsg *m_pSrvMsg;

public:
	CReceiveEvent(CServerMsg *pSrvMsg)
	:	CEvent(E_ReceiveSrvMsg), 
		m_pSrvMsg(pSrvMsg)
	{
	}

	CReceiveEvent(const string &sMessage, const TSystemTime tReceivedTime)
	:	CEvent(E_ReceiveSrvMsg), 
		m_pSrvMsg(new CServerMsg(sMessage, tReceivedTime))
	{
	}

	~CReceiveEvent()
	{
		if(m_pSrvMsg)
		{
			delete m_pSrvMsg;
			m_pSrvMsg = NULL;
		}
	}
};

#endif _RECEIVE_EVENT_
