//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	GameCommand.h
 *  \brief Deklaracia triedy prikazov pre server
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _GAME_COMMAND_
#define _GAME_COMMAND_

class CGameCommand;

typedef queue<CGameCommand*> TGameCommandQueue;

class CGameCommand
{
public:
	EGameCommandType	eGameCommand;	// typ prikazu
//	CGameTime			cGameTime;
	string				sArg1;			// argumenty na zapamatanie
	string				sArg2;			// vlastnosti jednotlivych
	double				dArg1;			// typov prikazov
	double				dArg2;			//

	CGameCommand();
//	CGameCommand(const CGameTime cTime);
	
	void Catch(double direction);
	void ChangeView(EViewWidthType width, EViewQualityType quality);
	void Dash(double power);
	void Kick(double power, double dir);
	void Move(double x, double y);
	void Say(string message);
	void Turn(double moment);
	void TurnNeck(double angle);
};

#endif // _GAME_COMMAND_