//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	InitMsg.h
 *  \brief Deklaracia triedy vnemov typu "init"
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _INIT_MSG_
#define _INIT_MSG_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CInitMsg : public CPerception
{
public:
	EPlayModeType ePlayMode;	// hraci mod
	ERealSideType eRealSide;	// skutocna strana, na ktorej hra hrac
	int	iNumber;

public:
	CInitMsg();
	CInitMsg(const CInitMsg &cSource);

	KPDL_RESULT Parse(
		CTranslator &cTranslator, 
		CParseString &cString
	);

	const CInitMsg &operator =(const CInitMsg &cSource);
};

#endif // _INIT_MSG_