//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	Perception.h
 *  \brief Deklaracia zakladnej triedy vnemov
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _PERCEPTION_
#define _PERCEPTION_

class CPerception;

typedef queue<CPerception*> TPerceptionQueue;

class CPerception
{
public:
	EMsgType eMsgType;	// typ spravy (vnemu)
	int iReceivedTime;	// cas prichodu spravy
	int iPlayTime;		// hraci cas zisteny zo spravy od servera

public:
	CPerception(const EMsgType eType = M_None);
	CPerception(const CPerception &cSource);

	virtual KPDL_RESULT Parse(
		CTranslator &cTranslator, 
		CParseString &cString
	) = 0;

    const CPerception &operator =(const CPerception &cSource);
};

#endif  // _PERCEPTION_
