//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	ServerMsg.h
 *  \brief Trieda sprav od servera a pre server
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _SERVER_MSG_
#define _SERVER_MSG_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CServerMsg
{
public:
	int	iReceivedTime;	// cas prijatia spravy
	string sMessage;	// sprava

public:
	CServerMsg() : sMessage(""), iReceivedTime(-1) {}
	CServerMsg(const char *sMessage)
	:	sMessage(sMessage), 
		iReceivedTime(-1)
	{
	}
	CServerMsg(const string &sMessage)
	:	sMessage(sMessage), 
		iReceivedTime(-1)
	{
	}
	CServerMsg(const char *sMessage, const int iTime)
	:	sMessage(sMessage), 
		iReceivedTime(iTime)
	{
	}
	CServerMsg(const string &sMessage, const int iTime)
	:	sMessage(sMessage), 
		iReceivedTime(iTime)
	{
	}
};

#endif  // _SERVER_MSG_
