//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	SystemClock.h
 *  \brief Deklaracia triedy systemovych hodin
 *  \author KPDL
 *  \date
 *  \version 
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _SYSTEM_CLOCK_
#define _SYSTEM_CLOCK_

class CSystemClock
{
private:
	__int64	m_iInitCount;
	__int64	m_iCountsPerSec;

public:
    CSystemClock()
	:	m_iInitCount(INVALID_TIME), 
		m_iCountsPerSec(INVALID_TIME) 
	{
	}
	
	KPDL_RESULT Initialize();
    TSystemTime GetTime();
};

#endif  // _SYSTEM_CLOCK_