// Decisions.h: interface for the CDecisions class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _DECISIONS_
#define _DECISIONS_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDecisions : public CEventThread
{
	DECLARE_EVENT_MAP

private:
    CWorldModel m_cWorld;
	CGameCommandSeq m_cActions;
	CBasicSkillList m_cSkillList;
	CReactiveSkills m_cReactiveSkills;
	CStrategicSkills m_cStrategicSkills;

public:
    CDecisions(CCoordinator &cCoordinator, CStaticField &cField);
    virtual ~CDecisions() {}

public:
	KPDL_RESULT OnDecide(CEvent &cEvent);

};

#endif // _DECISIONS_
