// Coordinator.cpp: implementation of the CCoordinator class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

KPDL_RESULT CCoordinator::DispatchEvent(CEvent &cEvent)
{
	cEvent.AddRef();

	TThreadSetIterator pIter = m_cThreadSet.begin();
	TThreadSetIterator pLast = m_cThreadSet.end();

	for(; pIter != pLast; pIter++)
		(*pIter)->SetEvent(cEvent);

	cEvent.Release();
	return KPDL_SUCCESS;
}
