//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	Log.h
 *  \brief Deklaracia bazovej triedy pre logovacie vypisy hraca
 *  \author t0n0 Weissensteiner & Mato Spal
 *  \date 26.2.2002 22:42:51
 *  \version 1.0
 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#ifndef _LOG_
#define _LOG_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CLog  
{
private:
	string m_sFileName;
	char m_sBuffer[LOG_MAX_BUFFER];
	ELogMask m_eMsgMask;

public:
	CLog(
		const string &sFileName, 
		const ELogMask eMsgMask = LOG_MASK_EMPTY,
		const string &sFileMode = LOG_ACCESS_MODE_W
	);
	virtual ~CLog();

	KPDL_RESULT Write(
		const bool bTimeStamp, 
		const char *sFormat, 
		...
	);

};

#endif // _LOG_
