#ifndef _PARSER_MAIN_
#define _PARSER_MAIN_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning (disable:4786)

/////////////////////////////////////////////////////////////////////
// External libraries
#include "logmain.h"

/////////////////////////////////////////////////////////////////////
// Platform dependent header files
#define VC_EXTRALEAN
#include <afx.h>

/////////////////////////////////////////////////////////////////////
// Standard header files
#include <math.h>
#include <string>
#include <vector>

using namespace std;

/////////////////////////////////////////////////////////////////////
// Library settings
#undef PARSER_XML3

#ifdef PARSER_XML3
	#define DOM_DOCUMENT "MSXML2.DOMDocument.3.0"
	#import "msxml3.dll"
	using namespace MSXML2;
#else // PARSER_XML3
	#define DOM_DOCUMENT "MSXML.DOMDocument"
	#import "msxml.dll"
	using namespace MSXML;
#endif // PARSER_XML3

// Oddelovac termov moze byt aj viacznakovy
#define TERM_DELIMITER      "."

/////////////////////////////////////////////////////////////////////
// Library header files
#include "types.h"
#include "ixmlnode.h"
#include "query.h"
#include "condition.h"
#include "ruleparameter.h"
#include "action.h"
#include "rule.h"
#include "ruleengine.h"

/////////////////////////////////////////////////////////////////////
// Global objects
extern CLog *gpParserLog;

#endif // _PARSER_MAIN_