// RuleEngine.h: interface for the CRules class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _RULE_ENGINE_
#define _RULE_ENGINE_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CRuleEngine
{
public:
	TRuleVector cRuleList;

private:
	int m_EvaluationType;

public:
	CRuleEngine();
	virtual ~CRuleEngine();

	KPDL_RESULT LoadXML(const string &sFileName);

	KPDL_RESULT Evaluate(
		const string &sRuleName,
		CQuery& cQuery,
		TActionVector &cResult
	);
	
	KPDL_RESULT Evaluate1(
		const string &sRuleName,
		CQuery& cQuery,
		TActionVector &cResult
	);
	KPDL_RESULT Evaluate2(
		const string &sRuleName,
		CQuery& cQuery,
		TActionVector &cResult
	);

};

#endif // _RULE_ENGINE_
