//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*! \file	playerframe.cpp
 *  \brief	Definicia triedy CPlayerFrame
 *  \author Radoslav Otipka 
 *  \date 7.5.2002 17:45:48
 *  \version 

 *  \bug 
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Historia zmien:
//++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 */
//++++++++++++++++++++++++++++++++++++++++++++++++++++++

#include "stdafx.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPlayerFrame

BEGIN_MESSAGE_MAP(CPlayerFrame, CMDIFrameWnd)
	//{{AFX_MSG_MAP(CPlayerFrame)
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

static UINT indicators[] =
{
	ID_SEPARATOR,           // status line indicator
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL
};

/////////////////////////////////////////////////////////////////////////////
// CPlayerFrame message handlers

//------------------------------------------------------
/*! \fn	int CPlayerFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
 *  \brief Automaticky sa vola pri vytvoroni okna, a vytvori statusbar a toolbar
 *  \param LPCREATESTRUCT lpCreateStruc
 *  \return
 *  \author Radoslav Otipka 
 *  \date 7.5.2002 17:43:35

 *  \bug 
 */
//------------------------------------------------------
// Historia zmien:
//------------------------------------------------------
/*
 */
//------------------------------------------------------
int CPlayerFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if(CMDIFrameWnd::OnCreate(lpCreateStruct) == -1 ||
		!m_wndToolBar.CreateEx(
			this, TBSTYLE_FLAT, WS_CHILD | WS_VISIBLE | CBRS_TOP | 
			CBRS_GRIPPER | CBRS_TOOLTIPS | CBRS_FLYBY | 
			CBRS_SIZE_DYNAMIC
		) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME) ||
		!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(
			indicators, sizeof(indicators) / sizeof(UINT)
		)
	)
		return -1;
	
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);
	
	return 0;
}

