// VisualFrame.h : interface of the CVisualFrame class
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _VISUAL_FRAME_
#define _VISUAL_FRAME_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CVisualFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CVisualFrame)

private:
	// ikona
	HICON m_hIcon;
	// vizualizacny pohlad
	CVisualView m_cVisualView;

public:
	CVisualFrame()
	:	m_hIcon(NULL),
		m_cVisualView()
	{
	}

	//{{AFX_VIRTUAL(CVisualFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& tCS);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CVisualFrame)
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}

#endif // _VISUAL_FRAME_
